Bug 253457 - unable to use GNOME due to bug buddy constantly reporting crashes for various apps
unable to use GNOME due to bug buddy constantly reporting crashes for various...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
7
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-19 18:02 EDT by corey
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.18.0-20.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 13:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm -qVa (856.49 KB, text/plain)
2007-08-20 21:20 EDT, corey
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 467514 None None None Never

  None (edit)
Description corey 2007-08-19 18:02:12 EDT
Description of problem:

lost backgrounds, themes.   unable to yum remove and install and get back 
backgrounds/themes.  Bug Buddy keeps reporting crashes for various 
applications whenever i move them often.   bugzilla.gnome.org has passed issue 
to me and said to wait for fedora 8,,,  HUH???  said issue has to do with 
control-center needing to be 2.19.3 rev 7471.   how do i get this 
control-center installed??? is control-center truely the issue?  **KDE still 
works fine** but i want GNOME!!  BUT GNOME IS UNUSEABLE right now.
i have many bugs (crashes from Bug Buddy) with bugzilla.gnome.org.
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ray Strode [halfline] 2007-08-19 18:15:00 EDT
Hi there is no reason you should have to wait until Fedora 8 for this fix.  I
can backport the patch and push a fedora 7 update if you wouldn't mind testing
it for me.
Comment 2 Ray Strode [halfline] 2007-08-19 18:54:36 EDT
running through the build system now, marking MODIFIED
Comment 3 corey 2007-08-19 22:10:30 EDT
not a problem.  i really believe in GNOME and want it working. next step?  
want any dumps?  or prob better to explain how i get 2.19.3 installed then 
send dumps if necessary.      
Comment 4 Ray Strode [halfline] 2007-08-19 22:43:56 EDT
Well first, let's try the patch upstream mentioned and see if that solves a
specific issue, and then we can handle other issues as separate reports.
Comment 5 corey 2007-08-20 00:16:46 EDT
any thing special about installing 2.19.3 to f7 = should i just 
configure/make/make install?? 
Comment 6 Ray Strode [halfline] 2007-08-20 09:34:15 EDT
Hi Corey,

I built a backported control-center package for you here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=14248

It's not 2.19.3, but it has the fix mentioned in the upstream bug report.
Comment 7 corey 2007-08-20 10:54:37 EDT
-install of buildID=14248 done
-top and bottom tool bars have returned and i have all my icons on desktop 
now.  top and bottom tool bars are NOT part of any schema or default, they are 
empty but i can add applets and seems to work.

-i CAN NOT load desktop backgrounds = dump below
-i CAN NOT use evolution = dump below (works fine with KDE)
-i CAN NOT use FireFox = Bug Buddy does not catch dump FireFox just times out 
and i have to terminate
-but i CAN used konqueror 3.57-0.1,,  at least long enuf to send this.
-i CAN play with toolbars and they seem to keep working EXCEPT i CAN NOT add 
applet for showing active windows,, this is ONLY applet which seems to not 
work = no errors it just does not attach.
-if you look in Bug Buddy dump below ???GTK+ Theme:(null) and icon Theme:
(null)???  SO if i go to System/Preferences/Look and feel/theme i get this 
error :-> //The default theme schemas could not be found on your system.  This 
means that you probably don't have metacity installed, or that your gconf is 
configured incorrectly.//
is MAYBE a %gconf file incorrect??  how do i verify these,,   do you have some 
script i can run to verify them??   





Distribution: Fedora release 7 (Moonshine)
Gnome Release: 2.18.3 2007-07-02 (Red Hat, Inc)
BugBuddy Version: 2.18.0

System: Linux 2.6.22.1-41.fc7 #1 SMP Fri Jul 27 18:10:34 EDT 2007 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: (null)
Icon Theme: (null)

Memory status: size: 46768128 vsize: 46768128 resident: 23048192 share: 
18620416 rss: 23048192 rss_rlim: 4294967295
CPU usage: start_time: 1187618863 rtime: 127 utime: 94 stime: 33 cutime:0 
cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/gnome-background-properties'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208874768 (LWP 13507)]
0x00110402 in __kernel_vsyscall ()
#0  0x00110402 in __kernel_vsyscall ()
#1  0x0052dd13 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x03c47a46 in ?? () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  gnome_wp_item_new (filename=0x80505b3 "(none)", wallpapers=0x83115a0, 
    thumbnails=0x8339090) at gnome-wp-item.c:117
#5  0x0804d831 in gnome_wp_load_stuffs (data=0x8339a70)
    at gnome-wp-capplet.c:676
#6  0x006b5a91 in g_idle_dispatch (source=0x855fbc0, callback=0x8553c80, 
    user_data=0x8339a70) at gmain.c:3928
#7  0x006b77f2 in IA__g_main_context_dispatch (context=0x8330298)
    at gmain.c:2045
#8  0x006ba7cf in g_main_context_iterate (context=0x8330298, block=1, 
    dispatch=1, self=0x830f590) at gmain.c:2677
#9  0x006bab79 in IA__g_main_loop_run (loop=0x852c198) at gmain.c:2881
#10 0x00a57f44 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#11 0x0804cb35 in main (argc=1, argv=) at gnome-wp-capplet.c:1189

Thread 1 (Thread -1208874768 (LWP 13507)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0052dd13 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x03c47a46 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  gnome_wp_item_new (filename=0x80505b3 "(none)", wallpapers=0x83115a0, 
    thumbnails=0x8339090) at gnome-wp-item.c:117
	item = (GnomeWPItem *) 0x8553c80
	color1 = {pixel = 140168248, red = 1459, green = 2053, blue = 61323}
	color2 = {pixel = 7513028, red = 32104, green = 49025, blue = 45030}
	client = (GConfClient *) 0x8336158
#5  0x0804d831 in gnome_wp_load_stuffs (data=0x8339a70)
    at gnome-wp-capplet.c:676
	capplet = <value optimized out>
	imagepath = (gchar *) 0x86605e0 "(none)"
	style = (gchar *) 0x8649b60 "none"
	uri = <value optimized out>
	item = <value optimized out>
#6  0x006b5a91 in g_idle_dispatch (source=0x855fbc0, callback=0x8553c80, 
    user_data=0x8339a70) at gmain.c:3928
No locals.
#7  0x006b77f2 in IA__g_main_context_dispatch (context=0x8330298)
    at gmain.c:2045
No locals.
#8  0x006ba7cf in g_main_context_iterate (context=0x8330298, block=1, 
    dispatch=1, self=0x830f590) at gmain.c:2677
	got_ownership = <value optimized out>
	max_priority = 200
	timeout = 0
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x836d288
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#9  0x006bab79 in IA__g_main_loop_run (loop=0x852c198) at gmain.c:2881
	got_ownership = 5407568
	self = (GThread *) 0x830f590
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#10 0x00a57f44 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#11 0x0804cb35 in main (argc=1, argv=) at gnome-wp-capplet.c:1189
	program = (GnomeProgram *) 0x8318810
	ctx = <value optimized out>
#0  0x00110402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; 
input not from terminal]


----------- .xsession-errors ---------------------
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
Cannot access memory at address 0x9
Cannot access memory at address 0x9
--------------------------------------------------



Distribution: Fedora release 7 (Moonshine)
Gnome Release: 2.18.3 2007-07-02 (Red Hat, Inc)
BugBuddy Version: 2.18.0

System: Linux 2.6.22.1-41.fc7 #1 SMP Fri Jul 27 18:10:34 EDT 2007 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: (null)
Icon Theme: (null)

Memory status: size: 46768128 vsize: 46768128 resident: 23048192 share: 
18620416 rss: 23048192 rss_rlim: 4294967295
CPU usage: start_time: 1187618863 rtime: 127 utime: 94 stime: 33 cutime:0 
cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/gnome-background-properties'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208874768 (LWP 13507)]
0x00110402 in __kernel_vsyscall ()
#0  0x00110402 in __kernel_vsyscall ()
#1  0x0052dd13 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x03c47a46 in ?? () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  gnome_wp_item_new (filename=0x80505b3 "(none)", wallpapers=0x83115a0, 
    thumbnails=0x8339090) at gnome-wp-item.c:117
#5  0x0804d831 in gnome_wp_load_stuffs (data=0x8339a70)
    at gnome-wp-capplet.c:676
#6  0x006b5a91 in g_idle_dispatch (source=0x855fbc0, callback=0x8553c80, 
    user_data=0x8339a70) at gmain.c:3928
#7  0x006b77f2 in IA__g_main_context_dispatch (context=0x8330298)
    at gmain.c:2045
#8  0x006ba7cf in g_main_context_iterate (context=0x8330298, block=1, 
    dispatch=1, self=0x830f590) at gmain.c:2677
#9  0x006bab79 in IA__g_main_loop_run (loop=0x852c198) at gmain.c:2881
#10 0x00a57f44 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#11 0x0804cb35 in main (argc=1, argv=) at gnome-wp-capplet.c:1189

Thread 1 (Thread -1208874768 (LWP 13507)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0052dd13 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x03c47a46 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  gnome_wp_item_new (filename=0x80505b3 "(none)", wallpapers=0x83115a0, 
    thumbnails=0x8339090) at gnome-wp-item.c:117
	item = (GnomeWPItem *) 0x8553c80
	color1 = {pixel = 140168248, red = 1459, green = 2053, blue = 61323}
	color2 = {pixel = 7513028, red = 32104, green = 49025, blue = 45030}
	client = (GConfClient *) 0x8336158
#5  0x0804d831 in gnome_wp_load_stuffs (data=0x8339a70)
    at gnome-wp-capplet.c:676
	capplet = <value optimized out>
	imagepath = (gchar *) 0x86605e0 "(none)"
	style = (gchar *) 0x8649b60 "none"
	uri = <value optimized out>
	item = <value optimized out>
#6  0x006b5a91 in g_idle_dispatch (source=0x855fbc0, callback=0x8553c80, 
    user_data=0x8339a70) at gmain.c:3928
No locals.
#7  0x006b77f2 in IA__g_main_context_dispatch (context=0x8330298)
    at gmain.c:2045
No locals.
#8  0x006ba7cf in g_main_context_iterate (context=0x8330298, block=1, 
    dispatch=1, self=0x830f590) at gmain.c:2677
	got_ownership = <value optimized out>
	max_priority = 200
	timeout = 0
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x836d288
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#9  0x006bab79 in IA__g_main_loop_run (loop=0x852c198) at gmain.c:2881
	got_ownership = 5407568
	self = (GThread *) 0x830f590
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#10 0x00a57f44 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#11 0x0804cb35 in main (argc=1, argv=) at gnome-wp-capplet.c:1189
	program = (GnomeProgram *) 0x8318810
	ctx = <value optimized out>
#0  0x00110402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; 
input not from terminal]


----------- .xsession-errors ---------------------
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
(gnome-background-properties:13507): Pango-CRITICAL **: pango_color_parse: 
assertion `spec != NULL' failed
Cannot access memory at address 0x9
Cannot access memory at address 0x9
--------------------------------------------------
Comment 8 Ray Strode [halfline] 2007-08-20 11:18:37 EDT
Would you mind trying something for me?

Can you run,

$ su -
(type root password)
# cd /etc/gconf/schemas
# export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
# for s in *.schemas; do gconftool-2 --makefile-install-rule $s; done
# exit

then log out and log back in.  Do your problems go away?
Comment 9 Fedora Update System 2007-08-20 12:00:28 EDT
control-center-2.18.0-20.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 10 corey 2007-08-20 15:48:31 EDT
ok.
backgrounds work again,
themes back
this seems to have stopped dumps

BUT.
i noticed gconftool-s script above put schemas for ALL locales in place,  like 
not just my locale so it ran for a long long time and moved 122M before it 
finished!!!  i think this matters not??
also NEW i notice in system monitor xfce4-panel = which stays over 85% CPU,,,  
lowest 80% highest 95% measured over 20min.  urgggggggggg   i kill it and all 
seems to work fine!!!   log out and back in and it is BACK!!!  urgggggg   i 
think this is part of issue. 



 
Comment 11 Ray Strode [halfline] 2007-08-20 16:10:49 EDT
Right now, merging all translations is expected.  It's a known problem.

can you run

strace -s 512 -o output.log -p $(/sbin/pidof xfce4-panel)

when its consuming so much cpu and attach output.log to this report?

The fact that running that command repaired your system suggests that your
upgrade may have prematurely failed.  This could explain a lot of problems
you've been seeing.

Can you run 

rpm -qVa > package-check.log

(as root)

This will run a diagnostic against your system to check which files may be
incorrectly installed.
Comment 12 corey 2007-08-20 21:20:44 EDT
Created attachment 161939 [details]
rpm -qVa
Comment 13 Ray Strode [halfline] 2007-08-21 10:41:08 EDT
did you run the above command as root?
Comment 14 corey 2007-08-21 13:53:59 EDT
yes it was run as root
Comment 15 corey 2007-08-23 13:02:55 EDT
no more bug buddy responses = awesome
pidgon disappears every so often and i have to launch it again
firefox is only app which just hangs (works in kde fine) so firefox not 
useable
every so often over 20min or so i have to log out and back in else the screen 
draws etc painfully slow
if i boot machine net does not work  i have to restart network services to get 
access to net.
Comment 16 Ray Strode [halfline] 2007-08-23 13:58:11 EDT
okay, I think most of your problems were the result of some problem (maybe yum
crashed or some such?) during upgrade.

Let's close this report.  Any additional issues you have, please file as
separate bug reports.
Comment 17 Fedora Update System 2007-08-29 13:28:03 EDT
control-center-2.18.0-20.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.